Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.providers.query.oql
Class ComparisonTree

    java.lang.Object
      org.makumba.providers.query.oql.AnalysisTree
          org.makumba.providers.query.oql.ComparisonTree

Direct Known Subclasses:
  LikeTree

    public class ComparisonTree

extends AnalysisTree

comparison operations have operands of the same type

Field Summary

Fields inherited from class org.makumba.providers.query.oql.AnalysisTree
`ADD, AND, ASIM_COMP, CONCAT, EXCEPT, IN, INTERSECT, leaf, left, LIKE, makumbaType, MUL, op, OR, right, SIM_COMP, UNION`

Constructor Summary
`ComparisonTree(Object left, int op, Object right)`

Method Summary
`(package private) boolean` | `checkAssign(AnalysisTree a1, AnalysisTree a2)` assume that a2 is a constant and check if it's compatible with a1
`Object` | `guessParameterType(Object otherOperandType)`
`void` | `negociateOperandTypes(Object t1, Object t2)`

Methods inherited from class org.makumba.providers.query.oql.AnalysisTree
`adjustType, checkOperandTypes, checkOperandTypes, computeType, computeTypeFromOperands, getMakumbaType, getTree, guessParameterType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComparisonTree

    public ComparisonTree(Object left,
                          int op,
                          Object right)

Method Detail

### guessParameterType

    public Object guessParameterType(Object otherOperandType)

  Overrides:
    `guessParameterType` in class `AnalysisTree`

### negociateOperandTypes

    public void negociateOperandTypes(Object t1,
                                      Object t2)
                               throws antlr.RecognitionException

  Overrides:
    `negociateOperandTypes` in class `AnalysisTree`
  Throws:
    `antlr.RecognitionException`

### checkAssign

    boolean checkAssign(AnalysisTree a1,
                        AnalysisTree a2)
                  throws antlr.RecognitionException

  assume that a2 is a constant and check if it's compatible with a1

  Throws:
    `antlr.RecognitionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20